m3 sakura on itouch ds ?

Discussion in 'M3 Adapter' started by missfabb, Mar 6, 2010.

  1. missfabb
    OP

    missfabb Advanced Member

    Newcomer
    72
    0
    Sep 24, 2008
    United States
    can an itouch ds cart run the latest m3 sakura firmware and play every rom ? or are there complicated steps involved to make this happen ? all i want is m3 sakura on my cart, nothing else .
     


  2. dsrules

    dsrules GBAtemp Psycho!

    Member
    3,604
    498
    Sep 20, 2005
    as of now, No, you cannot use the newest m3Sakura on iTouch
    but you could use the old Sakura 1.12+ on iTouch and use newest game engine from M3sakura to run new games
     
  3. missfabb
    OP

    missfabb Advanced Member

    Newcomer
    72
    0
    Sep 24, 2008
    United States
    where can i find instructions on how to do that? & can that play all roms with no issues ?
     
  4. dsrules

    dsrules GBAtemp Psycho!

    Member
    3,604
    498
    Sep 20, 2005
    what ever games the newest M3Sakura 1.4x can play, Sakura 1.12+ can play

    grab the newest M3Sakura firmware from http://www.handheldsources.com/M3DS/Download_M3DSR.html

    get the startnds.eng file from the zip file and rename it to startnds.ext and copy it to your Sakura 1.12+ System folder overwritting the old one
     
  5. DeltaBurnt

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    Wouldn't it be somewhat possible to run hex boot on the itouchds? We could use some of the soft reset NDS files to get from one firmware to another.

    We could atleast make a Quad Boot work by adding the r4i rts to iSakuReal, right?
     
  6. dsrules

    dsrules GBAtemp Psycho!

    Member
    3,604
    498
    Sep 20, 2005
    it might only be possible for a Triple Boot ( Sakura 1.12+, iTouch and R4iRTS) because Touchpod has been blocked since 3.7f, there is no meaning of running an outdated firmware on it...unless they unblocked it or the old patch files is working again since they make Touchpod universal, but I have no way to test it without an iTouch flashcart.
     
  7. missfabb
    OP

    missfabb Advanced Member

    Newcomer
    72
    0
    Sep 24, 2008
    United States
    are there any significant visual/gui differences between 1.12 & 1.4x? or do they look pretty much the same ? & is one slower/faster than the other or is it similar performance ?
     
  8. Porobu

    Porobu Gbatemps Shiny Latias

    Member
    1,042
    7
    Sep 12, 2009
    sakura 1+12 doesnt have global settings RTS... and its outdated
     
  9. missfabb
    OP

    missfabb Advanced Member

    Newcomer
    72
    0
    Sep 24, 2008
    United States
    what is global settings ?
    & i don't care about being "outdated" or real time save. i just care that the roms all work & sakura looks nice .
     
  10. Porobu

    Porobu Gbatemps Shiny Latias

    Member
    1,042
    7
    Sep 12, 2009
    it looks nice but config of NDS roms requires to softreset sakura and it can be slow
     
  11. Ashura32

    Ashura32 Member

    Newcomer
    19
    2
    Feb 24, 2008
    I just tried this but I got a "Filesystem Error 1" error message when loading games.
     
  12. DeltaBurnt

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    What Sakura did you get the startnds.eng from?
     
  13. dsrules

    dsrules GBAtemp Psycho!

    Member
    3,604
    498
    Sep 20, 2005
    you only grab the startnds.eng file (and nothing else) then rename it to startnds.ext
     
  14. Ashura32

    Ashura32 Member

    Newcomer
    19
    2
    Feb 24, 2008
    I got the file from the above link and from here and none of them work.
     
  15. missfabb
    OP

    missfabb Advanced Member

    Newcomer
    72
    0
    Sep 24, 2008
    United States
  16. Ashura32

    Ashura32 Member

    Newcomer
    19
    2
    Feb 24, 2008
    Isn't that the 1.10 version or something? Its game engine would be outdated.
     
  17. missfabb
    OP

    missfabb Advanced Member

    Newcomer
    72
    0
    Sep 24, 2008
    United States
    1.12, & thats why you replace it with 1.46's game engine.
     
  18. Xenon++

    Xenon++ Taiju Yamada

    Member
    1,394
    2
    Dec 17, 2009
    Yes 1.4x problem is so big because currently Kaura won't run on M3iZero JP...
    Well, Kaura is OK (confirmed on M3iZeroJ, old M3Reng.m3p/P_M3Reng.vbs work) but it won't go to Sakura.eng.
     
  19. Ashura32

    Ashura32 Member

    Newcomer
    19
    2
    Feb 24, 2008
    Tried it and replaced it with the 1.46 game engine and it still gives the same error. Also tried with some v1.3X game engines and it's the same. Are you sure you don't have to do anything extra to the file for it to work on the Itouch?
     
  20. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ Kneel before the Queen

    Member
    18,938
    18,838
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    Did you rename the engine from .eng to .ext?